Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface DataInputStream

All Superinterfaces:
  IDLEntity, Serializable, ValueBase

public interface DataInputStream
extends ValueBase

Defines the methods used to read primitive data types from input streams for unmarshaling custom value types. This interface is used by user written custom unmarshaling code for custom value types.

See Also:
  `DataOutputStream`, `CustomMarshal`

Method Summary
`Object` | `read_Abstract()` Reads an IDL Abstract interface from the input stream.
`void` | `read_any_array(AnySeqHolder seq, int offset, int length)` Reads array of IDL Anys from offset for length elements from the input stream.
`Any` | `read_any()` Reads an IDL `Any` value from the input stream.
`void` | `read_boolean_array(BooleanSeqHolder seq, int offset, int length)` Reads array of IDL booleans from offset for length elements from the input stream.
`boolean` | `read_boolean()` Reads an IDL boolean value from the input stream.
`void` | `read_char_array(CharSeqHolder seq, int offset, int length)` Reads array of IDL characters from offset for length elements from the input stream.
`char` | `read_char()` Reads an IDL character value from the input stream.
`void` | `read_double_array(DoubleSeqHolder seq, int offset, int length)` Reads array of IDL doubles from offset for length elements from the input stream.
`double` | `read_double()` Reads an IDL double from the input stream.
`void` | `read_float_array(FloatSeqHolder seq, int offset, int length)` Reads array of IDL floats from offset for length elements from the input stream.
`float` | `read_float()` Reads an IDL float from the input stream.
`void` | `read_long_array(LongSeqHolder seq, int offset, int length)` Reads array of IDL longs from offset for length elements from the input stream.
`int` | `read_long()` Reads an IDL long from the input stream.
`void` | `read_longlong_array(LongLongSeqHolder seq, int offset, int length)` Reads array of IDL long longs from offset for length elements from the input stream.
`long` | `read_longlong()` Reads an IDL long long from the input stream.
`Object` | `read_Object()` Reads an IDL CORBA::Object from the input stream.
`void` | `read_octet_array(OctetSeqHolder seq, int offset, int length)` Reads array of IDL octets from offset for length elements from the input stream.
`byte` | `read_octet()` Reads an IDL octet value from the input stream.
`void` | `read_short_array(ShortSeqHolder seq, int offset, int length)` Reads array of IDL shorts from offset for length elements from the input stream.
`short` | `read_short()` Reads an IDL short from the input stream.
`String` | `read_string()` Reads an IDL string from the input stream.
`TypeCode` | `read_TypeCode()` Reads an IDL typecode from the input stream.
`void` | `read_ulong_array(ULongSeqHolder seq, int offset, int length)` Reads array of IDL unsigned longs from offset for length elements from the input stream.
`int` | `read_ulong()` Reads an IDL unsigned long from the input stream.
`void` | `read_ulonglong_array(ULongLongSeqHolder seq, int offset, int length)` Reads array of IDL unsigned long longs from offset for length elements from the input stream.
`long` | `read_ulonglong()` Reads an unsigned IDL long long from the input stream.
`void` | `read_ushort_array(UShortSeqHolder seq, int offset, int length)` Reads array of IDL unsigned shorts from offset for length elements from the input stream.
`short` | `read_ushort()` Reads an IDL unsigned short from the input stream.
`Serializable` | `read_Value()` Reads an IDL value type from the input stream.
`void` | `read_wchar_array(WCharSeqHolder seq, int offset, int length)` Reads array of IDL wide characters from offset for length elements from the input stream.
`char` | `read_wchar()` Reads an IDL wide character value from the input stream.
`String` | `read_wstring()` Reads an IDL wide string from the input stream.

Methods inherited from interface org.omg.CORBA.portable.ValueBase
`_truncatable_ids`

Method Detail

### read_any

    public Any read_any()

  Reads an IDL `Any` value from the input stream.

  Returns:
    the `Any` read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_boolean

    public boolean read_boolean()

  Reads an IDL boolean value from the input stream.

  Returns:
    the boolean read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_char

    public char read_char()

  Reads an IDL character value from the input stream.

  Returns:
    the character read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_wchar

    public char read_wchar()

  Reads an IDL wide character value from the input stream.

  Returns:
    the wide character read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_octet

    public byte read_octet()

  Reads an IDL octet value from the input stream.

  Returns:
    the octet value read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_short

    public short read_short()

  Reads an IDL short from the input stream.

  Returns:
    the short read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_ushort

    public short read_ushort()

  Reads an IDL unsigned short from the input stream.

  Returns:
    the unsigned short read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_long

    public int read_long()

  Reads an IDL long from the input stream.

  Returns:
    the long read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_ulong

    public int read_ulong()

  Reads an IDL unsigned long from the input stream.

  Returns:
    the unsigned long read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_longlong

    public long read_longlong()

  Reads an IDL long long from the input stream.

  Returns:
    the long long read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_ulonglong

    public long read_ulonglong()

  Reads an unsigned IDL long long from the input stream.

  Returns:
    the unsigned long long read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_float

    public float read_float()

  Reads an IDL float from the input stream.

  Returns:
    the float read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_double

    public double read_double()

  Reads an IDL double from the input stream.

  Returns:
    the double read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_string

    public String read_string()

  Reads an IDL string from the input stream.

  Returns:
    the string read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_wstring

    public String read_wstring()

  Reads an IDL wide string from the input stream.

  Returns:
    the wide string read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_Object

    public Object read_Object()

  Reads an IDL CORBA::Object from the input stream.

  Returns:
    the CORBA::Object read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_Abstract

    public Object read_Abstract()

  Reads an IDL Abstract interface from the input stream.

  Returns:
    the Abstract interface read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_Value

    public Serializable read_Value()

  Reads an IDL value type from the input stream.

  Returns:
    the value type read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_TypeCode

    public TypeCode read_TypeCode()

  Reads an IDL typecode from the input stream.

  Returns:
    the typecode read.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_any_array

    public void read_any_array(AnySeqHolder seq,
                               int offset,
                               int length)

  Reads array of IDL Anys from offset for length elements from the input stream.

  Parameters:
    `seq` - The out parameter holder for the array to be read.
    `offset` - The index into seq of the first element to read from the input stream.
    `length` - The number of elements to read from the input stream.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_boolean_array

    public void read_boolean_array(BooleanSeqHolder seq,
                                   int offset,
                                   int length)

  Reads array of IDL booleans from offset for length elements from the input stream.

  Parameters:
    `seq` - The out parameter holder for the array to be read.
    `offset` - The index into seq of the first element to read from the input stream.
    `length` - The number of elements to read from the input stream.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_char_array

    public void read_char_array(CharSeqHolder seq,
                                int offset,
                                int length)

  Reads array of IDL characters from offset for length elements from the input stream.

  Parameters:
    `seq` - The out parameter holder for the array to be read.
    `offset` - The index into seq of the first element to read from the input stream.
    `length` - The number of elements to read from the input stream.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_wchar_array

    public void read_wchar_array(WCharSeqHolder seq,
                                 int offset,
                                 int length)

  Reads array of IDL wide characters from offset for length elements from the input stream.

  Parameters:
    `seq` - The out parameter holder for the array to be read.
    `offset` - The index into seq of the first element to read from the input stream.
    `length` - The number of elements to read from the input stream.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_octet_array

    public void read_octet_array(OctetSeqHolder seq,
                                 int offset,
                                 int length)

  Reads array of IDL octets from offset for length elements from the input stream.

  Parameters:
    `seq` - The out parameter holder for the array to be read.
    `offset` - The index into seq of the first element to read from the input stream.
    `length` - The number of elements to read from the input stream.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_short_array

    public void read_short_array(ShortSeqHolder seq,
                                 int offset,
                                 int length)

  Reads array of IDL shorts from offset for length elements from the input stream.

  Parameters:
    `seq` - The out parameter holder for the array to be read.
    `offset` - The index into seq of the first element to read from the input stream.
    `length` - The number of elements to read from the input stream.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_ushort_array

    public void read_ushort_array(UShortSeqHolder seq,
                                  int offset,
                                  int length)

  Reads array of IDL unsigned shorts from offset for length elements from the input stream.

  Parameters:
    `seq` - The out parameter holder for the array to be read.
    `offset` - The index into seq of the first element to read from the input stream.
    `length` - The number of elements to read from the input stream.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_long_array

    public void read_long_array(LongSeqHolder seq,
                                int offset,
                                int length)

  Reads array of IDL longs from offset for length elements from the input stream.

  Parameters:
    `seq` - The out parameter holder for the array to be read.
    `offset` - The index into seq of the first element to read from the input stream.
    `length` - The number of elements to read from the input stream.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_ulong_array

    public void read_ulong_array(ULongSeqHolder seq,
                                 int offset,
                                 int length)

  Reads array of IDL unsigned longs from offset for length elements from the input stream.

  Parameters:
    `seq` - The out parameter holder for the array to be read.
    `offset` - The index into seq of the first element to read from the input stream.
    `length` - The number of elements to read from the input stream.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_ulonglong_array

    public void read_ulonglong_array(ULongLongSeqHolder seq,
                                     int offset,
                                     int length)

  Reads array of IDL unsigned long longs from offset for length elements from the input stream.

  Parameters:
    `seq` - The out parameter holder for the array to be read.
    `offset` - The index into seq of the first element to read from the input stream.
    `length` - The number of elements to read from the input stream.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_longlong_array

    public void read_longlong_array(LongLongSeqHolder seq,
                                    int offset,
                                    int length)

  Reads array of IDL long longs from offset for length elements from the input stream.

  Parameters:
    `seq` - The out parameter holder for the array to be read.
    `offset` - The index into seq of the first element to read from the input stream.
    `length` - The number of elements to read from the input stream.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_float_array

    public void read_float_array(FloatSeqHolder seq,
                                 int offset,
                                 int length)

  Reads array of IDL floats from offset for length elements from the input stream.

  Parameters:
    `seq` - The out parameter holder for the array to be read.
    `offset` - The index into seq of the first element to read from the input stream.
    `length` - The number of elements to read from the input stream.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

### read_double_array

    public void read_double_array(DoubleSeqHolder seq,
                                  int offset,
                                  int length)

  Reads array of IDL doubles from offset for length elements from the input stream.

  Parameters:
    `seq` - The out parameter holder for the array to be read.
    `offset` - The index into seq of the first element to read from the input stream.
    `length` - The number of elements to read from the input stream.
  Throws:
    ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.